Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRuleModbusSpecificError Struct Reference

InterpretationRuleModbusSpecificError is applied to specific errors from libmodbus. More...

`import "GatewaySensorManager.idl";`

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleModbusSpecificError:

## Public Attributes

vector< ModbusCfg::SpecificModbusErrors > | errors
| list of specific libmodbus error codes
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable
AccessType | accessType
| use rule for read and/or write access

## Detailed Description

InterpretationRuleModbusSpecificError is applied to specific errors from libmodbus.

Definition at line 479 of file GatewaySensorManager.idl.

## Member Data Documentation

## errors

vector<ModbusCfg::SpecificModbusErrors> peripheral::GatewaySensorManager::InterpretationRuleModbusSpecificError::errors

list of specific libmodbus error codes

Definition at line 480 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl